Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.stax
Class AbstractStAXProducer

    java.lang.Object
      org.apache.cocoon.pipeline.component.AbstractPipelineComponent
          org.apache.cocoon.stax.AbstractStAXPipelineComponent
              org.apache.cocoon.stax.AbstractStAXProducer

All Implemented Interfaces:
  PipelineComponent, Producer, StAXPipelineComponent, StAXProducer

Direct Known Subclasses:
  AbstractStAXTransformer, XMLGenerator

    public abstract class AbstractStAXProducer

extends AbstractStAXPipelineComponent
implements StAXProducer

StAX specific abstract class implementing the `Producer.setConsumer(Consumer)` method checking if a `StAXConsumer` is used, storing it and setting itself as the parent of its consumer.

Constructor Summary
`AbstractStAXProducer()`

Method Summary
`protected StAXConsumer` | `getConsumer()` Returning the `StAXConsumer` inserted to the `setConsumer(Consumer)` method.
`void` | `setConsumer(Consumer consumer)`

Methods inherited from class org.apache.cocoon.pipeline.component.AbstractPipelineComponent
`finish, setConfiguration, setup`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.cocoon.stax.StAXProducer
`hasNext, nextEvent, peek`

Methods inherited from interface org.apache.cocoon.pipeline.component.PipelineComponent
`finish, setConfiguration, setup`

Methods inherited from interface org.apache.cocoon.pipeline.component.PipelineComponent
`finish, setConfiguration, setup`

Constructor Detail

### AbstractStAXProducer

    public AbstractStAXProducer()

Method Detail

### setConsumer

    public void setConsumer(Consumer consumer)

  Specified by:
    `setConsumer` in interface `Producer`
  See Also:
    `Producer.setConsumer(org.apache.cocoon.pipeline.component.Consumer)`

### getConsumer

    protected StAXConsumer getConsumer()

  Returning the `StAXConsumer` inserted to the `setConsumer(Consumer)` method.

  Returns:
    the `StAXConsumer` inserted to the class in the `setConsumer(Consumer)` method.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright � 2008-2010 The Apache Software Foundation. All Rights Reserved.